Bug 1560 - need to pass Xsession parameter(s) to ~/.xprofile
: need to pass Xsession parameter(s) to ~/.xprofile
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-14 23:04 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-14 23:04:33
I suggest replacing the line

SourceIfNotEmpty \"$HOME\"/.xprofile

in /etc/X11/Xsession with

SourceIfNotEmpty \"$HOME\"/.xprofile \"$@\"

so that the Xsession arguments are also available to the user ~/.xprofile script. This feature is useful when some programs must be started only in the specific WM/desktop environment. E.g., bbkeys is almost required for working with BlackBox, but WindowMaker gets very upset if bbkeys is run with it.
---

---

------- Comment #1 From 2002-11-15 12:38:05 -------
Fixed in xinitrc-2.4.9-alt1
------- Comment #2 From 2002-11-15 12:38:05 -------
Fixed in xinitrc-2.4.9-alt1
------- Comment #3 From 2002-11-19 21:07:02 -------
OK.
------- Comment #4 From 2002-11-19 21:07:02 -------
OK.